---------------------
PatchSet 3202 
Date: 2001/10/19 19:05:08
Author: serassio
Branch: cygwin
Tag: (none) 
Log:
Manually merged changes from HEAD after cvsmerge crash

Members: 
	.cvsignore:1.1->1.1.14.1 
	ChangeLog:1.6.14.2->1.6.14.3 
	configure.in:1.8.2.18->1.8.2.19 
	contrib/.cvsignore:1.3->1.3.12.1 
	include/.cvsignore:1.3->1.3.12.1 
	include/Array.h:1.2.28.1->1.2.28.2 
	include/GNUregex.h:1.2->1.2.28.1 
	include/Stack.h:1.2.28.1->1.2.28.2 
	include/asn1.h:1.2.28.1->1.2.28.2 
	include/cache_snmp.h:1.2->1.2.28.1 
	include/hash.h:1.3->1.3.26.1 
	include/heap.h:1.3.30.1->1.3.30.2 
	include/md5.h:1.2.28.2->1.2.28.3 
	include/ntlmauth.h:1.1.22.2->1.1.22.3 
	include/parse.h:1.2.28.1->1.2.28.2 
	include/radix.h:1.2.28.1->1.2.28.2 
	include/rfc1035.h:1.3.28.1->1.3.28.2 
	include/rfc2617.h:1.1.16.2->1.1.16.3 
	include/snmp-internal.h:1.2.28.2->1.2.28.3 
	include/snmp-mib.h:1.2->1.2.28.1 
	include/snmp.h:1.2->1.2.28.1 
	include/snmp_api.h:1.2->1.2.28.1 
	include/snmp_api_error.h:1.2->1.2.28.1 
	include/snmp_api_util.h:1.2->1.2.28.1 
	include/snmp_client.h:1.2.28.1->1.2.28.2 
	include/snmp_coexist.h:1.2->1.2.28.1 
	include/snmp_compat.h:1.2->1.2.28.1 
	include/snmp_debug.h:1.2->1.2.28.1 
	include/snmp_error.h:1.2->1.2.28.1 
	include/snmp_impl.h:1.2->1.2.28.1 
	include/snmp_msg.h:1.2->1.2.28.1 
	include/snmp_pdu.h:1.2.28.1->1.2.28.2 
	include/snmp_session.h:1.2->1.2.28.1 
	include/snmp_util.h:1.2.28.1->1.2.28.2 
	include/snmp_vars.h:1.2.28.1->1.2.28.2 
	include/snprintf.h:1.2.28.1->1.2.28.2 
	include/splay.h:1.3.28.1->1.3.28.2 
	include/squid_types.h:1.1.18.1->1.1.18.2 
	include/tempnam.h:1.2->1.2.28.1 
	include/util.h:1.4.20.2->1.4.20.3 
	lib/.cvsignore:1.3->1.3.12.1 
	lib/md5.c:1.2.28.2->1.2.28.3 
	lib/ntlmauth.c:1.1.22.2->1.1.22.3 
	lib/radix.c:1.3.28.2->1.3.28.3 
	lib/rfc1035.c:1.4.26.1->1.4.26.2 
	lib/rfc2617.c:1.1.16.2->1.1.16.3 
	lib/util.c:1.4.14.3->1.4.14.4 
	src/.cvsignore:1.3->1.3.12.1 
	src/HttpHeader.c:1.4.2.2->1.4.2.3 
	src/Makefile.am:1.2.6.3->1.2.6.4 
	src/access_log.c:1.6.4.3->1.6.4.4 
	src/acl.c:1.6.2.9->1.6.2.10 
	src/asn.c:1.5.4.1->1.5.4.2 
	src/authenticate.c:1.4.20.6->1.4.20.7 
	src/cache_cf.c:1.6.10.12->1.6.10.13 
	src/cf.data.pre:1.10.2.13->1.10.2.14 
	src/comm.c:1.4.20.4->1.4.20.5 
	src/defines.h:1.3.22.14->1.3.22.15 
	src/enums.h:1.6.10.5->1.6.10.6 
	src/forward.c:1.6.4.1->1.6.4.2 
	src/ftp.c:1.5.16.3->1.5.16.4 
	src/globals.h:1.5.12.13->1.5.12.14 
	src/mk-globals-c.pl:1.1.1.1->1.1.1.1.72.1 
	src/neighbors.c:1.6.10.3->1.6.10.4 
	src/protos.h:1.9.2.16->1.9.2.17 
	src/ssl.c:1.3.22.3->1.3.22.4 
	src/ssl_support.h:1.1.30.2->1.1.30.3 
	src/store_rebuild.c:1.6.16.1->1.6.16.2 
	src/structs.h:1.12.2.11->1.12.2.12 
	src/typedefs.h:1.4.16.7->1.4.16.8 
	src/auth/basic/auth_basic.c:1.1.24.5->1.1.24.6 
	src/auth/basic/auth_basic.h:1.1.22.2->1.1.22.3 
	src/auth/basic/helpers/LDAP/squid_ldap_auth.8:1.1.14.4->1.1.14.5 
	src/auth/basic/helpers/LDAP/squid_ldap_auth.c:1.2.30.7->1.2.30.8 
	src/auth/digest/auth_digest.c:1.1.16.3->1.1.16.4 
	src/auth/digest/auth_digest.h:1.1.16.2->1.1.16.3 
	src/auth/ntlm/auth_ntlm.c:1.1.24.5->1.1.24.6 
	src/auth/ntlm/auth_ntlm.h:1.1.22.4->1.1.22.5 
	src/auth/ntlm/helpers/NTLMSSP/libntlmssp.c:1.4.16.2->1.4.16.3 
	src/auth/ntlm/helpers/NTLMSSP/ntlm.h:1.4.2.3->1.4.2.4 
	src/auth/ntlm/helpers/NTLMSSP/ntlm_auth.c:1.6.2.4->1.6.2.5 
	src/fs/aufs/aiops.c:1.4.16.3->1.4.16.4 
	src/fs/aufs/async_io.c:1.3.24.2->1.3.24.3 
	src/fs/aufs/store_dir_aufs.c:1.6.10.6->1.6.10.7 
	src/fs/diskd/store_dir_diskd.c:1.5.10.7->1.5.10.8 
	src/fs/ufs/store_dir_ufs.c:1.5.10.9->1.5.10.10 

Index: squid/ChangeLog
===================================================================
RCS file: /cvsroot/squid-sf//squid/ChangeLog,v
retrieving revision 1.6.14.2
retrieving revision 1.6.14.3
diff -u -r1.6.14.2 -r1.6.14.3
--- squid/ChangeLog	2 Sep 2001 08:46:07 -0000	1.6.14.2
+++ squid/ChangeLog	19 Oct 2001 19:05:08 -0000	1.6.14.3
@@ -28,6 +28,11 @@
 	  as the dist-all and distcheck targets for developers which respectively
 	  build a tar.gz and a tar.bz2 distribution, and check that what will be
 	  distributed builds.
+	- Added TOS and source address selection based on ACLs,
+	  written by Roger Venning. This allows administrators to set
+	  the TOS precedence bits and/or the source IP from a set of
+	  available IPs based upon some ACLs, generally to map different
+	  users to different outgoing links and traffic profiles.
 	
 Changes to Squid-2.4.DEVEL4 ():
 
Index: squid/configure.in
===================================================================
RCS file: /cvsroot/squid-sf//squid/configure.in,v
retrieving revision 1.8.2.18
retrieving revision 1.8.2.19
diff -u -r1.8.2.18 -r1.8.2.19
--- squid/configure.in	4 Oct 2001 19:50:28 -0000	1.8.2.18
+++ squid/configure.in	19 Oct 2001 19:05:08 -0000	1.8.2.19
@@ -3,7 +3,7 @@
 dnl
 dnl  Duane Wessels, wessels@nlanr.net, February 1996 (autoconf v2.9)
 dnl
-dnl  $Id: configure.in,v 1.8.2.18 2001/10/04 19:50:28 serassio Exp $
+dnl  $Id: configure.in,v 1.8.2.19 2001/10/19 19:05:08 serassio Exp $
 dnl
 dnl
 dnl
@@ -11,7 +11,7 @@
 AC_CONFIG_AUX_DIR(cfgaux)
 AM_INIT_AUTOMAKE(Squid, 2.5-DEVEL)
 AM_CONFIG_HEADER(include/autoconf.h)
-AC_REVISION($Revision: 1.8.2.18 $)dnl
+AC_REVISION($Revision: 1.8.2.19 $)dnl
 AC_PREFIX_DEFAULT(/usr/local/squid)
 AM_MAINTAINER_MODE
 
@@ -320,6 +320,13 @@
             fi
         fi
     ;;
+    *-solaris2.*)
+        if test "$GCC" = "yes" ; then
+	    CFLAGS="$CFLAGS -pthreads"
+	else
+	    CFLAGS="$CFLAGS -mt"
+        fi
+    ;;
     esac
 fi
 AC_SUBST(SQUID_PTHREAD_LIB)
@@ -780,6 +787,7 @@
   fi
 ])
 
+
 dnl Select auth schemes modules to build
 AC_ARG_ENABLE(auth,
 [  --enable-auth=\"list of auth scheme modules\"
@@ -2051,6 +2059,7 @@
 	src/auth/basic/helpers/NCSA/Makefile \
 	src/auth/basic/helpers/PAM/Makefile \
 	src/auth/basic/helpers/SMB/Makefile \
+	src/auth/basic/helpers/win32_locallogon/Makefile \
 	src/auth/basic/helpers/YP/Makefile \
 	src/auth/basic/helpers/getpwnam/Makefile \
 	src/auth/basic/helpers/multi-domain-NTLM/Makefile \
Index: squid/contrib/.cvsignore
===================================================================
RCS file: /cvsroot/squid-sf//squid/contrib/.cvsignore,v
retrieving revision 1.3
retrieving revision 1.3.12.1
diff -u -r1.3 -r1.3.12.1
--- squid/contrib/.cvsignore	11 Oct 2001 12:23:40 -0000	1.3
+++ squid/contrib/.cvsignore	19 Oct 2001 19:05:08 -0000	1.3.12.1
@@ -1,2 +1,3 @@
-.cvsignore
-Makefile.in
+.cvsignore
+Makefile.in
+win
Index: squid/include/Array.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/Array.h,v
retrieving revision 1.2.28.1
retrieving revision 1.2.28.2
diff -u -r1.2.28.1 -r1.2.28.2
--- squid/include/Array.h	14 Mar 2001 22:17:32 -0000	1.2.28.1
+++ squid/include/Array.h	19 Oct 2001 19:05:08 -0000	1.2.28.2
@@ -1,5 +1,5 @@
 /*
- * $Id: Array.h,v 1.2.28.1 2001/03/14 22:17:32 rbcollins Exp $
+ * $Id: Array.h,v 1.2.28.2 2001/10/19 19:05:08 serassio Exp $
  *
  * AUTHOR: Alex Rousskov
  *
@@ -31,8 +31,8 @@
  *  
  */
 
-#ifndef _ARRAY_H_
-#define _ARRAY_H_
+#ifndef SQUID_ARRAY_H
+#define SQUID_ARRAY_H
 
 /* see Array.c for more documentation */
 
@@ -51,4 +51,4 @@
 extern void arrayPreAppend(Array * s, int app_count);
 
 
-#endif /* ndef _ARRAY_H_ */
+#endif /* SQUID_ARRAY_H */
Index: squid/include/GNUregex.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/GNUregex.h,v
retrieving revision 1.2
retrieving revision 1.2.28.1
diff -u -r1.2 -r1.2.28.1
--- squid/include/GNUregex.h	23 Oct 2000 15:04:18 -0000	1.2
+++ squid/include/GNUregex.h	19 Oct 2001 19:05:08 -0000	1.2.28.1
@@ -1,7 +1,10 @@
 /*
- * $Id: GNUregex.h,v 1.2 2000/10/23 15:04:18 hno Exp $
+ * $Id: GNUregex.h,v 1.2.28.1 2001/10/19 19:05:08 serassio Exp $
  */
 
+#ifndef SQUID_REGEXP_LIBRARY_H
+#define SQUID_REGEXP_LIBRARY_H
+
 /* Definitions for data structures and routines for the regular
  * expression library, version 0.12.
  * 
@@ -21,9 +24,6 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.  */
 
-#ifndef __REGEXP_LIBRARY_H__
-#define __REGEXP_LIBRARY_H__
-
 /* POSIX says that <sys/types.h> must be included (by the caller) before
  * <regex.h>.  */
 
@@ -479,7 +479,7 @@
 	size_t errbuf_size));
 extern void regfree _RE_ARGS((regex_t * preg));
 
-#endif /* not __REGEXP_LIBRARY_H__ */
+#endif /* SQUID_REGEXP_LIBRARY_H */
 
 /*
  * Local variables:
Index: squid/include/Stack.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/Stack.h,v
retrieving revision 1.2.28.1
retrieving revision 1.2.28.2
diff -u -r1.2.28.1 -r1.2.28.2
--- squid/include/Stack.h	14 Mar 2001 22:17:32 -0000	1.2.28.1
+++ squid/include/Stack.h	19 Oct 2001 19:05:08 -0000	1.2.28.2
@@ -1,5 +1,5 @@
 /*
- * $Id: Stack.h,v 1.2.28.1 2001/03/14 22:17:32 rbcollins Exp $
+ * $Id: Stack.h,v 1.2.28.2 2001/10/19 19:05:08 serassio Exp $
  *
  * AUTHOR: Alex Rousskov
  *
@@ -31,8 +31,8 @@
  *  
  */
 
-#ifndef _STACK_H_
-#define _STACK_H_
+#ifndef SQUID_STACK_H
+#define SQUID_STACK_H
 
 #include "Array.h"
 
@@ -47,4 +47,4 @@
 #define stackPrePush arrayPreAppend
 extern void *stackTop(Stack * s);
 
-#endif /* ndef _STACK_H_ */
+#endif /* SQUID_STACK_H */
Index: squid/include/asn1.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/asn1.h,v
retrieving revision 1.2.28.1
retrieving revision 1.2.28.2
diff -u -r1.2.28.1 -r1.2.28.2
--- squid/include/asn1.h	14 Mar 2001 22:17:32 -0000	1.2.28.1
+++ squid/include/asn1.h	19 Oct 2001 19:05:08 -0000	1.2.28.2
@@ -1,5 +1,5 @@
-#ifndef _SNMP_ASN1_H_
-#define _SNMP_ASN1_H_
+#ifndef SQUID_SNMP_ASN1_H
+#define SQUID_SNMP_ASN1_H
 
 /*
  * Definitions for Abstract Syntax Notation One, ASN.1
@@ -28,7 +28,7 @@
  * ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
  * SOFTWARE.
  * 
- * $Id: asn1.h,v 1.2.28.1 2001/03/14 22:17:32 rbcollins Exp $
+ * $Id: asn1.h,v 1.2.28.2 2001/10/19 19:05:08 serassio Exp $
  * 
  **********************************************************************/
 
@@ -98,4 +98,5 @@
 }
 
 #endif
-#endif				/* _SNMP_ASN1_H_ */
+
+#endif	/* SQUID_SNMP_ASN1_H */
Index: squid/include/cache_snmp.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/cache_snmp.h,v
retrieving revision 1.2
retrieving revision 1.2.28.1
diff -u -r1.2 -r1.2.28.1
--- squid/include/cache_snmp.h	23 Oct 2000 15:04:18 -0000	1.2
+++ squid/include/cache_snmp.h	19 Oct 2001 19:05:08 -0000	1.2.28.1
@@ -1,10 +1,11 @@
 /*
- * $Id: cache_snmp.h,v 1.2 2000/10/23 15:04:18 hno Exp $
+ * $Id: cache_snmp.h,v 1.2.28.1 2001/10/19 19:05:08 serassio Exp $
  */
 
+#ifndef SQUID_CACHE_SNMP_H
+#define SQUID_CACHE_SNMP_H
+
 #ifdef SQUID_SNMP
-#ifndef CACHE_SNMP_H
-#define CACHE_SNMP_H
 
 #if SIZEOF_LONG == 8
 #define snint int
@@ -253,5 +254,6 @@
     PERF_MEDIAN_END
 };
 
-#endif
-#endif
+#endif /* SQUID_SNMP */
+
+#endif /* SQUID_CACHE_SNMP_H */
Index: squid/include/hash.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/hash.h,v
retrieving revision 1.3
retrieving revision 1.3.26.1
diff -u -r1.3 -r1.3.26.1
--- squid/include/hash.h	3 Nov 2000 08:39:19 -0000	1.3
+++ squid/include/hash.h	19 Oct 2001 19:05:08 -0000	1.3.26.1
@@ -1,7 +1,10 @@
 /*
- * $Id: hash.h,v 1.3 2000/11/03 08:39:19 hno Exp $
+ * $Id: hash.h,v 1.3.26.1 2001/10/19 19:05:08 serassio Exp $
  */
 
+#ifndef SQUID_HASH_H
+#define SQUID_HASH_H
+
 typedef void HASHFREE(void *);
 typedef int HASHCMP(const void *, const void *);
 typedef unsigned int HASHHASH(const void *, unsigned int);
@@ -56,3 +59,5 @@
  *  HASH_SIZE 65357             // prime number < 65536
  */
 #define  DEFAULT_HASH_SIZE 7951	/* prime number < 8192 */
+
+#endif /* SQUID_HASH_H */
Index: squid/include/heap.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/heap.h,v
retrieving revision 1.3.30.1
retrieving revision 1.3.30.2
diff -u -r1.3.30.1 -r1.3.30.2
--- squid/include/heap.h	14 Mar 2001 22:17:32 -0000	1.3.30.1
+++ squid/include/heap.h	19 Oct 2001 19:05:08 -0000	1.3.30.2
@@ -1,5 +1,5 @@
 /*
- * $Id: heap.h,v 1.3.30.1 2001/03/14 22:17:32 rbcollins Exp $
+ * $Id: heap.h,v 1.3.30.2 2001/10/19 19:05:08 serassio Exp $
  *
  * AUTHOR: John Dilley, Hewlett Packard
  *
@@ -41,8 +41,8 @@
  * are larger than their parent.
  ****************************************************************************/
 
-#ifndef	_heap_h_INCLUDED
-#define	_heap_h_INCLUDED
+#ifndef	SQUID_HEAP_H
+#define	SQUID_HEAP_H
 
 /*
  * Function for generating heap keys.  The first argument will typically be
@@ -175,4 +175,4 @@
 
 extern int verify_heap_property(heap *);
 
-#endif /* _heap_h_INCLUDED */
+#endif /* SQUID_HEAP_H */
Index: squid/include/md5.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/md5.h,v
retrieving revision 1.2.28.2
retrieving revision 1.2.28.3
diff -u -r1.2.28.2 -r1.2.28.3
--- squid/include/md5.h	16 Apr 2001 11:55:38 -0000	1.2.28.2
+++ squid/include/md5.h	19 Oct 2001 19:05:08 -0000	1.2.28.3
@@ -1,9 +1,9 @@
 /*
- * $Id: md5.h,v 1.2.28.2 2001/04/16 11:55:38 rbcollins Exp $
+ * $Id: md5.h,v 1.2.28.3 2001/10/19 19:05:08 serassio Exp $
  */
 
-#ifndef MD5_H
-#define MD5_H
+#ifndef SQUID_MD5_H
+#define SQUID_MD5_H
 
 #if USE_OPENSSL
 
@@ -57,10 +57,11 @@
 } MD5_CTX;
 
 void MD5Init(MD5_CTX *);
-void MD5Update(MD5_CTX *, const unsigned char *, unsigned int);
-void MD5Final(unsigned char[16], MD5_CTX *);
+void MD5Update(MD5_CTX *, const void *, unsigned long);
+void MD5Final(unsigned char *, MD5_CTX *);
 
 #define MD5_DIGEST_CHARS         16
 
 #endif /* USE_OPENSSL */
-#endif /* MD5_H */
+
+#endif /* SQUID_MD5_H */
Index: squid/include/ntlmauth.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/ntlmauth.h,v
retrieving revision 1.1.22.2
retrieving revision 1.1.22.3
diff -u -r1.1.22.2 -r1.1.22.3
--- squid/include/ntlmauth.h	30 Aug 2001 17:13:11 -0000	1.1.22.2
+++ squid/include/ntlmauth.h	19 Oct 2001 19:05:08 -0000	1.1.22.3
@@ -50,8 +50,8 @@
  * It's put here as it is a common utility to all HTLM-enabled modules.
  */
 
-#ifndef _NTLMAUTH_H_
-#define _NTLMAUTH_H_
+#ifndef SQUID_NTLMAUTH_H
+#define SQUID_NTLMAUTH_H
 
 /* int*_t */
 #include "squid_types.h"
@@ -70,10 +70,10 @@
 #define bswap16(x) bswap_16(x)
 #define bswap32(x) bswap_32(x)
 #else	 /* HAVE_BISTWAP_H */
-#define bswap16(x) ((((x) >> 8) & 0xff) | (((x) & 0xff) << 8))
+#define bswap16(x) (((((uint16_t)x) >> 8) & 0xff) | ((((uint16_t)x) & 0xff) << 8))
 #define bswap32(x) \
-    ((((x) & 0xff000000) >> 24) | (((x) & 0x00ff0000) >>  8) | \
-     (((x) & 0x0000ff00) <<  8) | (((x) & 0x000000ff) << 24))
+    (((((uint32_t)x) & 0xff000000) >> 24) | ((((uint32_t)x) & 0x00ff0000) >>  8) | \
+     ((((uint32_t)x) & 0x0000ff00) <<  8) | ((((uint32_t)x) & 0x000000ff) << 24))
 #endif /* HAVE_BITSWAP_H */
 
 /* Used internally. Microsoft seems to think this is right, I believe them.
@@ -180,4 +180,4 @@
     strhdr * hdr, char *toadd,
     int toadd_length, int base_offset);
 
-#endif /* _NTLMAUTH_H_ */
+#endif /* SQUID_NTLMAUTH_H */
Index: squid/include/parse.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/parse.h,v
retrieving revision 1.2.28.1
retrieving revision 1.2.28.2
diff -u -r1.2.28.1 -r1.2.28.2
--- squid/include/parse.h	21 May 2001 21:10:28 -0000	1.2.28.1
+++ squid/include/parse.h	19 Oct 2001 19:05:08 -0000	1.2.28.2
@@ -1,9 +1,9 @@
 /*
- * $Id: parse.h,v 1.2.28.1 2001/05/21 21:10:28 serassio Exp $
+ * $Id: parse.h,v 1.2.28.2 2001/10/19 19:05:08 serassio Exp $
  */
 
-#ifndef _HAVE_PARSE_H_
-#define _HAVE_PARSE_H_
+#ifndef SQUID_PARSE_H
+#define SQUID_PARSE_H
 
 /***********************************************************
 	Copyright 1989 by Carnegie Mellon University
@@ -90,4 +90,5 @@
 }
 
 #endif
-#endif				/* _HAVE_PARSE_H_ */
+
+#endif				/* SQUID_PARSE_H */
Index: squid/include/radix.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/radix.h,v
retrieving revision 1.2.28.1
retrieving revision 1.2.28.2
diff -u -r1.2.28.1 -r1.2.28.2
--- squid/include/radix.h	14 Mar 2001 22:17:32 -0000	1.2.28.1
+++ squid/include/radix.h	19 Oct 2001 19:05:08 -0000	1.2.28.2
@@ -1,7 +1,10 @@
 /*
- * $Id: radix.h,v 1.2.28.1 2001/03/14 22:17:32 rbcollins Exp $
+ * $Id: radix.h,v 1.2.28.2 2001/10/19 19:05:08 serassio Exp $
  */
 
+#ifndef SQUID_RADIX_H
+#define	SQUID_RADIX_H
+
 /*
  * Copyright (c) 1988, 1989, 1993
  *      The Regents of the University of California.  All rights reserved.
@@ -37,12 +40,7 @@
  *      @(#)radix.h     8.2 (Berkeley) 10/31/94
  */
 
-#ifndef _RADIX_H_
-#define	_RADIX_H_
 #undef RN_DEBUG
-#ifndef __P
-#define __P(x) x
-#endif
 /*
  * Radix search tree node layout.
  */
@@ -115,44 +113,46 @@
     int rnh_addrsize;		/* permit, but not require fixed keys */
     int rnh_pktsize;		/* permit, but not require fixed keys */
     struct radix_node *(*rnh_addaddr)	/* add based on sockaddr */
-               __P((void *v, void *mask,
-	    struct radix_node_head * head, struct radix_node nodes[]));
+               (void *v, void *mask,
+	    struct radix_node_head * head, struct radix_node nodes[]);
     struct radix_node *(*rnh_addpkt)	/* add based on packet hdr */
-               __P((void *v, void *mask,
-	    struct radix_node_head * head, struct radix_node nodes[]));
+               (void *v, void *mask,
+	    struct radix_node_head * head, struct radix_node nodes[]);
     struct radix_node *(*rnh_deladdr)	/* remove based on sockaddr */
-               __P((void *v, void *mask, struct radix_node_head * head));
+               (void *v, void *mask, struct radix_node_head * head);
     struct radix_node *(*rnh_delpkt)	/* remove based on packet hdr */
-               __P((void *v, void *mask, struct radix_node_head * head));
+               (void *v, void *mask, struct radix_node_head * head);
     struct radix_node *(*rnh_matchaddr)		/* locate based on sockaddr */
-               __P((void *v, struct radix_node_head * head));
+               (void *v, struct radix_node_head * head);
     struct radix_node *(*rnh_lookup)	/* locate based on sockaddr */
-               __P((void *v, void *mask, struct radix_node_head * head));
+               (void *v, void *mask, struct radix_node_head * head);
     struct radix_node *(*rnh_matchpkt)	/* locate based on packet hdr */
-               __P((void *v, struct radix_node_head * head));
+               (void *v, struct radix_node_head * head);
     int (*rnh_walktree)		/* traverse tree */
-        __P((struct radix_node_head * head, int (*f) (), void *w));
+        (struct radix_node_head * head, int (*f) (struct radix_node *, void *), void *w);
     struct radix_node rnh_nodes[3];	/* empty tree for common case */
 };
 
 
 #define Bcmp(a, b, n) memcmp(((char *)(a)), ((char *)(b)), (n))
 #define Bcopy(a, b, n) memcpy(((char *)(b)), ((char *)(a)), (unsigned)(n))
-#define Bzero(p, n) memset((char *)(p),'\0', (int)(n));
+#define Bzero(p, n) memset((char *)(p),'\0', (int)(n))
 #define R_Malloc(p, t, n) (p = (t) xmalloc((unsigned int)(n)))
-#define Free(p) xfree((char *)p);
+#define Free(p) xfree((char *)p)
 
-void rn_init __P((void));
-int rn_inithead __P((void **, int));
-int rn_refines __P((void *, void *));
-int rn_walktree __P((struct radix_node_head *, int (*)(), void *));
-struct radix_node
-          *rn_addmask __P((void *, int, int)), *rn_addroute __P((void *, void *, struct radix_node_head *,
-	struct radix_node[2])), *rn_delete __P((void *, void *, struct radix_node_head *)),
-          *rn_insert __P((void *, struct radix_node_head *, int *,
-	struct radix_node[2])), *rn_match __P((void *, struct radix_node_head *)),
-          *rn_newpair __P((void *, int, struct radix_node[2])), *rn_search __P((void *, struct radix_node *)),
-          *rn_search_m __P((void *, struct radix_node *, void *));
+extern void rn_init (void);
+extern int rn_inithead(void **, int);
+extern int rn_refines(void *, void *);
+extern int rn_walktree(struct radix_node_head *, int (*)(struct radix_node *, void *), void *);
+extern struct radix_node *rn_addmask(void *, int, int);
+extern struct radix_node *rn_addroute(void *, void *, struct radix_node_head *, struct radix_node[2]);
+extern struct radix_node *rn_delete(void *, void *, struct radix_node_head *);
+extern struct radix_node *rn_insert(void *, struct radix_node_head *, int *, struct radix_node[2]);
+extern struct radix_node *rn_match(void *, struct radix_node_head *);
+extern struct radix_node *rn_newpair(void *, int, struct radix_node[2]);
+extern struct radix_node *rn_search(void *, struct radix_node *);
+extern struct radix_node *rn_search_m(void *, struct radix_node *, void *);
 extern struct radix_node *rn_lookup(void *, void *, struct radix_node_head *);
 #define min(x,y) ((x)<(y)? (x) : (y))
-#endif /* _RADIX_H_ */
+
+#endif /* SQUID_RADIX_H */
Index: squid/include/rfc1035.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/rfc1035.h,v
retrieving revision 1.3.28.1
retrieving revision 1.3.28.2
diff -u -r1.3.28.1 -r1.3.28.2
--- squid/include/rfc1035.h	14 Mar 2001 22:17:32 -0000	1.3.28.1
+++ squid/include/rfc1035.h	19 Oct 2001 19:05:08 -0000	1.3.28.2
@@ -1,5 +1,5 @@
 /*
- * $Id: rfc1035.h,v 1.3.28.1 2001/03/14 22:17:32 rbcollins Exp $
+ * $Id: rfc1035.h,v 1.3.28.2 2001/10/19 19:05:08 serassio Exp $
  *
  * AUTHOR: Duane Wessels
  *
@@ -31,8 +31,8 @@
  *  
  */
 
-#ifndef _RFC1035_H_
-#define _RFC1035_H_
+#ifndef SQUID_RFC1035_H
+#define SQUID_RFC1035_H
 
 #include "config.h"
 #if HAVE_SYS_TYPES_H
@@ -75,4 +75,4 @@
 #define RFC1035_TYPE_PTR 12
 #define RFC1035_CLASS_IN 1
 
-#endif /* ndef _RFC1035_H_ */
+#endif /* SQUID_RFC1035_H */
Index: squid/include/rfc2617.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/rfc2617.h,v
retrieving revision 1.1.16.2
retrieving revision 1.1.16.3
diff -u -r1.1.16.2 -r1.1.16.3
--- squid/include/rfc2617.h	16 Apr 2001 11:55:38 -0000	1.1.16.2
+++ squid/include/rfc2617.h	19 Oct 2001 19:05:08 -0000	1.1.16.3
@@ -47,8 +47,8 @@
  *
  */
 
-#ifndef RFC2617_H
-#define RFC2617_H
+#ifndef SQUID_RFC2617_H
+#define SQUID_RFC2617_H
 
 #define HASHLEN 16
 typedef char HASH[HASHLEN];
@@ -84,4 +84,4 @@
 
 void CvtBin(const HASHHEX Hex, HASH Bin);
 
-#endif /* RFC 2617 */
+#endif /* SQUID_RFC2617_H */
Index: squid/include/snmp-internal.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/snmp-internal.h,v
retrieving revision 1.2.28.2
retrieving revision 1.2.28.3
diff -u -r1.2.28.2 -r1.2.28.3
--- squid/include/snmp-internal.h	21 May 2001 21:10:28 -0000	1.2.28.2
+++ squid/include/snmp-internal.h	19 Oct 2001 19:05:08 -0000	1.2.28.3
@@ -1,6 +1,6 @@
 /* -*- c++ -*- */
-#ifndef _SNMP_INTERNAL_H_
-#define _SNMP_INTERNAL_H_
+#ifndef SQUID_SNMP_INTERNAL_H
+#define SQUID_SNMP_INTERNAL_H
 
 /**********************************************************************
  *
@@ -24,7 +24,7 @@
  * ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
  * SOFTWARE.
  * 
- * $Id: snmp-internal.h,v 1.2.28.2 2001/05/21 21:10:28 serassio Exp $
+ * $Id: snmp-internal.h,v 1.2.28.3 2001/10/19 19:05:08 serassio Exp $
  * 
  **********************************************************************/
 
@@ -32,4 +32,4 @@
 #define SNMP_TRAP_PORT	    162
 #define SNMP_MAX_LEN	    484
 
-#endif /* _SNMP_INTERNAL_H_ */
+#endif /* SQUID_SNMP_INTERNAL_H */
Index: squid/include/snmp-mib.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/snmp-mib.h,v
retrieving revision 1.2
retrieving revision 1.2.28.1
diff -u -r1.2 -r1.2.28.1
--- squid/include/snmp-mib.h	23 Oct 2000 15:04:18 -0000	1.2
+++ squid/include/snmp-mib.h	19 Oct 2001 19:05:08 -0000	1.2.28.1
@@ -1,6 +1,6 @@
 /* -*- c++ -*- */
-#ifndef _SNMP_MIB_H_
-#define _SNMP_MIB_H_
+#ifndef SQUID_SNMP_MIB_H
+#define SQUID_SNMP_MIB_H
 
 /***************************************************************************
  *
@@ -26,7 +26,7 @@
  * 
  * Author: Ryan Troll <ryan+@andrew.cmu.edu>
  * 
- * $Id: snmp-mib.h,v 1.2 2000/10/23 15:04:18 hno Exp $
+ * $Id: snmp-mib.h,v 1.2.28.1 2001/10/19 19:05:08 serassio Exp $
  * 
  ***************************************************************************/
 
@@ -35,4 +35,5 @@
 #if 0
 #include <mib.h>		/* Then the function definitions */
 #endif
-#endif /* _SNMP_MIB_H_ */
+
+#endif /* SQUID_SNMP_MIB_H */
Index: squid/include/snmp.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/snmp.h,v
retrieving revision 1.2
retrieving revision 1.2.28.1
diff -u -r1.2 -r1.2.28.1
--- squid/include/snmp.h	23 Oct 2000 15:04:18 -0000	1.2
+++ squid/include/snmp.h	19 Oct 2001 19:05:08 -0000	1.2.28.1
@@ -1,5 +1,5 @@
-#ifndef _SNMP_H_
-#define _SNMP_H_
+#ifndef SQUID_SNMP_H
+#define SQUID_SNMP_H
 
 /*
  * Definitions for the Simple Network Management Protocol (RFC 1067).
@@ -27,7 +27,7 @@
  * ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
  * SOFTWARE.
  * 
- * $Id: snmp.h,v 1.2 2000/10/23 15:04:18 hno Exp $
+ * $Id: snmp.h,v 1.2.28.1 2001/10/19 19:05:08 serassio Exp $
  * 
  **********************************************************************/
 
@@ -72,4 +72,4 @@
 #include "snmp_compat.h"
 #include "snmp_debug.h"
 
-#endif /* _SNMP_H_ */
+#endif /* SQUID_SNMP_H */
Index: squid/include/snmp_api.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/snmp_api.h,v
retrieving revision 1.2
retrieving revision 1.2.28.1
diff -u -r1.2 -r1.2.28.1
--- squid/include/snmp_api.h	23 Oct 2000 15:04:18 -0000	1.2
+++ squid/include/snmp_api.h	19 Oct 2001 19:05:08 -0000	1.2.28.1
@@ -1,9 +1,9 @@
 /*
- * $Id: snmp_api.h,v 1.2 2000/10/23 15:04:18 hno Exp $
+ * $Id: snmp_api.h,v 1.2.28.1 2001/10/19 19:05:08 serassio Exp $
  */
 
-#ifndef _SNMP_API_H_
-#define _SNMP_API_H_
+#ifndef SQUID_SNMP_API_H
+#define SQUID_SNMP_API_H
 
 #include "config.h"
 #ifdef HAVE_SYS_TIME_H
@@ -187,4 +187,5 @@
 }
 
 #endif
-#endif				/* _SNMP_API_H_ */
+
+#endif				/* SQUID_SNMP_API_H */
Index: squid/include/snmp_api_error.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/snmp_api_error.h,v
retrieving revision 1.2
retrieving revision 1.2.28.1
diff -u -r1.2 -r1.2.28.1
--- squid/include/snmp_api_error.h	23 Oct 2000 15:04:18 -0000	1.2
+++ squid/include/snmp_api_error.h	19 Oct 2001 19:05:08 -0000	1.2.28.1
@@ -1,6 +1,6 @@
 /* -*- c++ -*- */
-#ifndef _SNMP_API_ERROR_H_
-#define _SNMP_API_ERROR_H_
+#ifndef SQUID_SNMP_API_ERROR_H
+#define SQUID_SNMP_API_ERROR_H
 
 /***************************************************************************
  *
@@ -26,7 +26,7 @@
  * 
  * Author: Ryan Troll <ryan+@andrew.cmu.edu>
  * 
- * $Id: snmp_api_error.h,v 1.2 2000/10/23 15:04:18 hno Exp $
+ * $Id: snmp_api_error.h,v 1.2.28.1 2001/10/19 19:05:08 serassio Exp $
  * 
  ***************************************************************************/
 
@@ -67,4 +67,5 @@
 }
 
 #endif
-#endif				/* _SNMP_API_ERROR_H_ */
+
+#endif				/* SQUID_SNMP_API_ERROR_H */
Index: squid/include/snmp_api_util.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/snmp_api_util.h,v
retrieving revision 1.2
retrieving revision 1.2.28.1
diff -u -r1.2 -r1.2.28.1
--- squid/include/snmp_api_util.h	23 Oct 2000 15:04:18 -0000	1.2
+++ squid/include/snmp_api_util.h	19 Oct 2001 19:05:08 -0000	1.2.28.1
@@ -1,9 +1,9 @@
 /*
- * $Id: snmp_api_util.h,v 1.2 2000/10/23 15:04:18 hno Exp $
+ * $Id: snmp_api_util.h,v 1.2.28.1 2001/10/19 19:05:08 serassio Exp $
  */
 
-#ifndef _SNMP_API_UTIL_H_
-#define _SNMP_API_UTIL_H_
+#ifndef SQUID_SNMP_API_UTIL_H
+#define SQUID_SNMP_API_UTIL_H
 
 /***********************************************************
 	Copyright 1997 by Carnegie Mellon University
@@ -94,4 +94,5 @@
 }
 
 #endif
-#endif				/* _SNMP_API_UTIL_H_ */
+
+#endif				/* SQUID_SNMP_API_UTIL_H */
Index: squid/include/snmp_client.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/snmp_client.h,v
retrieving revision 1.2.28.1
retrieving revision 1.2.28.2
diff -u -r1.2.28.1 -r1.2.28.2
--- squid/include/snmp_client.h	14 Mar 2001 22:17:32 -0000	1.2.28.1
+++ squid/include/snmp_client.h	19 Oct 2001 19:05:08 -0000	1.2.28.2
@@ -1,9 +1,9 @@
 /*
- * $Id: snmp_client.h,v 1.2.28.1 2001/03/14 22:17:32 rbcollins Exp $
+ * $Id: snmp_client.h,v 1.2.28.2 2001/10/19 19:05:08 serassio Exp $
  */
 
-#ifndef _SNMP_CLIENT_H_
-#define _SNMP_CLIENT_H_
+#ifndef SQUID_SNMP_CLIENT_H
+#define SQUID_SNMP_CLIENT_H
 
 /*
  * snmp_client.h
@@ -59,6 +59,6 @@
 
 #ifdef __cplusplus
 }
-
 #endif
-#endif				/* _SNMP_CLIENT_H_ */
+
+#endif				/* SQUID_SNMP_CLIENT_H */
Index: squid/include/snmp_coexist.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/snmp_coexist.h,v
retrieving revision 1.2
retrieving revision 1.2.28.1
diff -u -r1.2 -r1.2.28.1
--- squid/include/snmp_coexist.h	23 Oct 2000 15:04:18 -0000	1.2
+++ squid/include/snmp_coexist.h	19 Oct 2001 19:05:08 -0000	1.2.28.1
@@ -1,6 +1,6 @@
 /* -*- c++ -*- */
-#ifndef _SNMP_COEXISTANCE_H_
-#define _SNMP_COEXISTANCE_H_
+#ifndef SQUID_SNMP_COEXISTANCE_H
+#define SQUID_SNMP_COEXISTANCE_H
 
 /**********************************************************************
  *
@@ -26,7 +26,7 @@
  * 
  * Author: Ryan Troll <ryan+@andrew.cmu.edu>
  * 
- * $Id: snmp_coexist.h,v 1.2 2000/10/23 15:04:18 hno Exp $
+ * $Id: snmp_coexist.h,v 1.2.28.1 2001/10/19 19:05:08 serassio Exp $
  * 
  **********************************************************************/
 
@@ -39,6 +39,6 @@
 
 #ifdef __cplusplus
 }
-
 #endif
-#endif				/* _SNMP_COEXISTANCE_H_ */
+
+#endif				/* SQUID_SNMP_COEXISTANCE_H */
Index: squid/include/snmp_compat.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/Attic/snmp_compat.h,v
retrieving revision 1.2
retrieving revision 1.2.28.1
diff -u -r1.2 -r1.2.28.1
--- squid/include/snmp_compat.h	23 Oct 2000 15:04:18 -0000	1.2
+++ squid/include/snmp_compat.h	19 Oct 2001 19:05:08 -0000	1.2.28.1
@@ -1,6 +1,6 @@
 /* -*- c++ -*- */
-#ifndef _SNMP_COMPAT_H_
-#define _SNMP_COMPAT_H_
+#ifndef SQUID_SNMP_COMPAT_H
+#define SQUID_SNMP_COMPAT_H
 
 /***************************************************************************
  *
@@ -26,7 +26,7 @@
  * 
  * Author: Ryan Troll <ryan+@andrew.cmu.edu>
  * 
- * $Id: snmp_compat.h,v 1.2 2000/10/23 15:04:18 hno Exp $
+ * $Id: snmp_compat.h,v 1.2.28.1 2001/10/19 19:05:08 serassio Exp $
  * 
  ***************************************************************************/
 
@@ -47,4 +47,4 @@
 
 #define INFORM_REQ_MSG      (ASN_CONTEXT | ASN_CONSTRUCTOR | 0x6)
 
-#endif /* _SNMP_COMPAT_H_ */
+#endif /* SQUID_SNMP_COMPAT_H */
